Subject: Re: linux-next: build failure after merge of the kvm tree

From: Paolo Bonzini <[email-masked]>
Date: Tue, 8 Sep 2015 11:24:33 +0200

On 08/09/2015 04:10, Wanpeng Li wrote:
> 
> I miss place the trace codes under CONFIG_KVM_ASYNC_PF, the patch in the
> attachment rewrite the commit and fix it. Sorry for that.

Thanks.  I cannot rewind kvm/next, so I committed just the incremental change:

diff --git a/include/trace/events/kvm.h b/include/trace/events/kvm.h
index 0d1bc478833b..d6f83222a6a1 100644
--- a/include/trace/events/kvm.h
+++ b/include/trace/events/kvm.h
@@ -356,6 +356,8 @@ TRACE_EVENT(
 		  __entry->address)
 );
 
+#endif
+
 TRACE_EVENT(kvm_halt_poll_ns,
 	TP_PROTO(bool grow, unsigned int vcpu_id, int new, int old),
 	TP_ARGS(grow, vcpu_id, new, old),
@@ -386,8 +388,6 @@ TRACE_EVENT(kvm_halt_poll_ns,
 #define trace_kvm_halt_poll_ns_shrink(vcpu_id, new, old) \
 	trace_kvm_halt_poll_ns(false, vcpu_id, new, old)
 
-#endif
-
 #endif /* _TRACE_KVM_MAIN_H */
 
 /* This part must be outside protection */

Paolo